## javanet.staxutils.events
Class NamespaceEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.AttributeEvent
              javanet.staxutils.events.NamespaceEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, Attribute, Namespace, XMLEvent, XMLStreamConstants

    public class NamespaceEvent

extends AttributeEvent
implements Namespace

`Namespace` event implementation.

Version:
  $Revision: 1.3 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary
`static QName` `DEFAULT_NS_DECL`

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`NamespaceEvent(String prefix, String nsURI)`
`NamespaceEvent(String prefix, String nsURI, Location location)`

Method Summary
`int` `getEventType()` Returns `XMLStreamConstants.NAMESPACE`.
`String` `getNamespaceURI()`
`String` `getPrefix()`
`boolean` `isDefaultNamespaceDeclaration()`

Methods inherited from class javanet.staxutils.events.AttributeEvent
`getDTDType, getName, getValue, isSpecified`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.Attribute
`getDTDType, getName, getValue, isSpecified`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Field Detail

### DEFAULT_NS_DECL

    public static final QName DEFAULT_NS_DECL

Constructor Detail

### NamespaceEvent

    public NamespaceEvent(String prefix,
                          String nsURI)

### NamespaceEvent

    public NamespaceEvent(String prefix,
                          String nsURI,
                          Location location)

Method Detail

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.NAMESPACE`.

  Specified by:
    `getEventType` in interface `XMLEvent`
  Overrides:
    `getEventType` in class `AttributeEvent`

### getNamespaceURI

    public String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `Namespace`

### getPrefix

    public String getPrefix()

  Specified by:
    `getPrefix` in interface `Namespace`

### isDefaultNamespaceDeclaration

    public boolean isDefaultNamespaceDeclaration()

  Specified by:
    `isDefaultNamespaceDeclaration` in interface `Namespace`